Skip to main content
GET
/
api
/
monitors
/
predictions
/
v1
GetMonitorPredictions
curl --request GET \
  --url https://developer.synq.io/api/monitors/predictions/v1 \
  --header 'Authorization: Bearer <token>'
{
  "predictions": [
    {
      "field": "<string>",
      "segment": "<string>",
      "metricId": "<string>",
      "value": 123,
      "expected": 123,
      "stddev": 123,
      "upperBound": "<string>",
      "lowerBound": "<string>",
      "pattern": "<string>",
      "scheduledAt": "2023-11-07T05:31:56Z",
      "isCorrected": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

synqPath
string

Monitor synq_path.

metricsVersion
integer<int32>

Metrics version. Defaults to the monitor's current version.

segments
string[]

Segment filters. If empty, all segments are returned.

from.seconds

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be from 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z inclusive.

from.nanos
integer<int32>

Non-negative fractions of a second at nanosecond resolution. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be from 0 to 999,999,999 inclusive.

Response

200 - application/json

Success

predictions
MonitorPrediction · object[]